# Class: YARD::Tags::GroupDirective

Inherits:
  Directive
  - Object
  - Directive
  - YARD::Tags::GroupDirective
  show all

Defined in:
  lib/yard/tags/directives.rb

## Overview

Note:

A group definition only applies to the scope it is defined in. If a new class or module is opened after the directive, this directive will not apply to methods in that class or module.

Defines a group listing. All methods (and attributes) seen after this directive are placed into a group with the given description as the group name. The group listing is used by templates to organize methods and attributes into respective logical groups. To end a group listing use @!endgroup.

#### Examples:

    # @!group Callbacks

    def before_filter; end
    def after_filter; end

See Also:

- @!endgroup

Since:

- 0.6.0

## Parser callbacks collapse

- #call ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Tags::Directive

## Instance Method Details

### #call ⇒ `Object`

Since:

- 0.6.0

    128
    129
    130
    131

    # File 'lib/yard/tags/directives.rb', line 128

    def call
      return unless handler
      handler.extra_state.group = tag.text
    end